- Qt 6.8
- Qt Widgets
- C++ Classes
- QGraphicsItem
- Qt 6.8.3 Reference Documentation

# Obsolete Members for QGraphicsItem

The following members of class QGraphicsItem are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(deprecated)` bool | handlesChildEvents() const
`(deprecated)` void | setHandlesChildEvents(bool enabled)

## Member Function Documentation

### `[deprecated]` bool QGraphicsItem::handlesChildEvents() const

This function is deprecated. We strongly advise against using it in new code.

Returns `true` if this item handles child events (i.e., all events intended for any of its children are instead sent to this item); otherwise, false is returned.

This property is useful for item groups; it allows one item to handle events on behalf of its children, as opposed to its children handling their events individually.

The default is to return false; children handle their own events. The exception for this is if the item is a QGraphicsItemGroup, then it defaults to return true.

See also setHandlesChildEvents().

### `[deprecated]` void QGraphicsItem::setHandlesChildEvents(bool enabled)

This function is deprecated. We strongly advise against using it in new code.

If enabled is true, this item is set to handle all events for all its children (i.e., all events intended for any of its children are instead sent to this item); otherwise, if enabled is false, this item will only handle its own events. The default value is false.

This property is useful for item groups; it allows one item to handle events on behalf of its children, as opposed to its children handling their events individually.

If a child item accepts hover events, its parent will receive hover move events as the cursor passes through the child, but it does not receive hover enter and hover leave events on behalf of its child.

See also handlesChildEvents().